# ListViewVirtualItemsSelectionRangeChangedEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [VirtualItemsSelectionRangeChanged](/api/wisej.web/lists-and-grids/listview.md#virtualitemsselectionrangechanged) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ListViewVirtualItemsSelectionRangeChangedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ListViewVirtualItemsSelectionRangeChangedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ListViewVirtualItemsSelectionRangeChangedEventArgs(startIndex, endIndex, isSelected)

Initializes a new instance of the [ListViewVirtualItemsSelectionRangeChangedEventArgs](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewvirtualitemsselectionrangechangedeventargs.md) class.

| Name           | Type                                                            | Description                                                                          |
| -------------- | --------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| **startIndex** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)     | The index of the first item in the range that has changed.                           |
| **endIndex**   | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)     | The index of the last item in the range that has changed.                            |
| **isSelected** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | true to indicate the items are selected; false to indicate the items are deselected. |

**Throws:**

* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception) *startIndex* is larger than *endIndex..*

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) EndIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index for the last item in the range of items whose selection state has changed.

### ![](/files/hsR4ok3152WyAf8J2C1u) IsSelected

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns a value indicating whether the range of items is selected.

### ![](/files/hsR4ok3152WyAf8J2C1u) StartIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index for the first item in the range of items whose selection state has changed.

## Used By

| Name                                                                                                                                                                | Description                                                                                                                                                                                                                     |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ListViewVirtualItemsSelectionRangeChangedEventHandler](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewvirtualitemsselectionrangechangedeventhandler.md) | Represents the method that will handle the [VirtualItemsSelectionRangeChanged](/api/wisej.web/lists-and-grids/listview.md#virtualitemsselectionrangechanged) event of a [ListView](/api/wisej.web/lists-and-grids/listview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.listviewvirtualitemsselectionrangechangedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
